Copy PageCreate Invoicepost https://business.mamopay.com/manage_api/v1/invoicesAPI to create and send an invoice to a customer via email.Body Paramsamountnumberrequired≥ 0Defaults to 123The invoice amount to be charged to the customer.amount_currencystringenumDefaults to AEDCurrency code for the invoice amount. See examples for more details.AEDUSDEURGBPSARAllowed:AEDUSDEURGBPSARemailstringrequiredThe customer's email address where the invoice will be sent.descriptionstringA description of the invoice. This will appear on the invoice sent to the customer.customer_typestringenumrequiredDefaults to individualThe type of customer receiving the invoice.individualbusinessAllowed:individualbusinessfirst_namestringrequiredThe first name of the customer.last_namestringrequiredThe last name of the customer.phone_numberstringThe customer's phone number.business_namestringThe customer's business name. Applicable when customer_type is business.addressstringThe customer's address. Applicable when customer_type is business.citystringThe customer's city. Applicable when customer_type is business.countrystringThe customer's country. Applicable when customer_type is business.uae_tax_reference_numberstringThe customer's UAE tax reference number (TRN). Applicable when customer_type is business.vat_enabledbooleanDefaults to falseWhether VAT should be applied and displayed on the invoice.truefalseadditional_headingstringAn optional heading that will appear as additional information on the invoice.additional_detailsstringOptional additional details or notes to include on the invoice.additional_cc_emailsarray of stringsA list of additional email addresses to CC when the invoice is sent.additional_cc_emailsADD stringexternal_idstringAn external reference ID of your choice to associate with this invoice.processing_fee_percentagenumber | null≥ 0A processing fee percentage to be added on top of the invoice amount and charged to the customer.processing_fee_amountnumber | null≥ 0A fixed processing fee amount to be added on top of the invoice amount and charged to the customer.HeadersAuthorizationstringResponses 201Successful response 403Unauthorised 422Unprocessable entity 500Unexpected errorUpdated 6 months ago Reverse PaymentWalletsDid this page help you?YesNo